> For the complete documentation index, see [llms.txt](https://docs.cryptonode.id/en/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cryptonode.id/en/supporting-tools/cosmos-explorer/installation.md).

# Installation

## Prerequisites

### Install Node and Yarn

```sh
curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/v0.39.4/install.sh | bash
nvm install node
nvm install-latest-npm
npm install --global yarn
```

## Install

### Clone from our repo

```sh
git clone https://github.com/CryptoNodeID/explorer.git
```

{% hint style="warning" %}
Would be better if you fork from our repo and clone it from yours so you can modify it freely
{% endhint %}

### Build

```sh
cd explorer
yarn --ignore-engines && yarn build
```

the build result will be under `dist` folder in the current working directory

## Setup nginx

Just like in [Basics](/en/basics.md)segment ( [Routing using NGINX](/en/basics/routing-using-nginx.md) ), we're going to create config for explorer.\
In assumption you've know how to and done [Setting up SSL](/en/basics/setting-up-ssl.md), here's the commands and config example:

```
sudo nano /etc/nginx/sites-available/explorer
```

```
server {
    listen 443 ssl;
    listen [::]:443 ssl;
    server_name explorer.cryptonode.id;

    ssl_certificate /etc/letsencrypt/live/explorer.cryptonode.id/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/explorer.cryptonode.id/privkey.pem;

    root ~/explorer/dist;
    index index.html index.htm;

    location / {
        try_files $uri $uri/ /index.html =404;
    }
}
```

```
ln -s /etc/nginx/sites-available/explorer /etc/nginx/sites-enabled/explorer
```

{% hint style="info" %}
You might need to modify the nginx config to follow your server configuration like `ssl_certificate` , `ssl_certificate_key` and `root` location where you put the installation of your explorer.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cryptonode.id/en/supporting-tools/cosmos-explorer/installation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
